---
title: VRFrameData.leftProjectionMatrix
slug: Web/API/VRFrameData/leftProjectionMatrix
tags:
  - API
  - Experimental
  - Property
  - Reference
  - VR
  - VRFrameData
  - Virtual Reality
  - WebVR
  - leftProjectionMatrix
---
<div>{{APIRef("WebVR API")}}{{SeeCompatTable}}</div>

<p>The <strong><code>leftProjectionMatrix</code></strong> read-only property of the {{domxref("VRFrameData")}} interface returns a {{domxref("Float32Array")}} representing a 4x4 matrix that describes the projection to be used for the left eye’s rendering.</p>

<p>This value may be passed directly to WebGL’s {{domxref("WebGLRenderingContext.uniformMatrix", "uniformMatrix4fv")}} function.</p>

<div class="warning">
<p><strong>Important</strong>: It is highly recommended that applications use this matrix without modification. Failure to use this projection matrix when rendering may cause the presented frame to be distorted or badly aligned, resulting in varying degrees of user discomfort.</p>
</div>

<h2 id="Syntax">Syntax</h2>

<pre class="brush: js">var myLPM = vrFrameDataInstance.leftProjectionMatrix;</pre>

<h3 id="Value">Value</h3>

<p>A {{domxref("Float32Array")}} object.</p>

<h2 id="Examples">Examples</h2>

<p>{{page("/Web/API/VRDisplay/getFrameData", "Examples")}}</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('WebVR 1.1', '#dom-vrframedata-leftprojectionmatrix', 'leftProjectionMatrix')}}</td>
   <td>{{Spec2('WebVR 1.1')}}</td>
   <td>Initial definition</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.VRFrameData.leftProjectionMatrix")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Web/API/WebVR_API">WebVR API homepage</a></li>
 <li><a href="http://mozvr.com/">MozVr.com</a> — demos, downloads, and other resources from the Mozilla VR team.</li>
</ul>
